Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_StreamEndPoint_A Class Reference

The "A" side of a streamendpoint. More...

`#include <AVStreams_i.h>`

Inheritance diagram for TAO_StreamEndPoint_A:

[legend]
Collaboration diagram for TAO_StreamEndPoint_A:

[legend]
List of all members.

## Public Methods
| TAO_StreamEndPoint_A (void)
| Constructor. More...
virtual CORBA::Boolean | multiconnect (AVStreams::streamQoS &the_qos, AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)
| Used for ATM-style multicast. More...
virtual CORBA::Boolean | connect_leaf (AVStreams::StreamEndPoint_B_ptr the_ep, AVStreams::streamQoS &the_qos, const AVStreams::flowSpec &the_flows ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::streamOpFailed, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::notSupported)
| Used for ATM-style multicast. More...
virtual void | disconnect_leaf (AVStreams::StreamEndPoint_B_ptr the_ep, const AVStreams::flowSpec &theSpec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::streamOpFailed, AVStreams::noSuchFlow, AVStreams::notSupported)
| Used to remove a multicast leaf. More...
virtual | ~TAO_StreamEndPoint_A (void)
| Destructor. More...

## Detailed Description

The "A" side of a streamendpoint.

## Constructor & Destructor Documentation

TAO_StreamEndPoint_A::TAO_StreamEndPoint_A | ( | void |  | ) |

| Constructor.

TAO_StreamEndPoint_A::~TAO_StreamEndPoint_A | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual CORBA::Boolean TAO_StreamEndPoint_A::connect_leaf | ( | AVStreams::StreamEndPoint_B_ptr | the_ep,
|  | AVStreams::streamQoS & | the_qos,
|  | const AVStreams::flowSpec &the_flows | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, AVStreams::streamOpFailed, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::notSupported)`[virtual]`

| Used for ATM-style multicast.

virtual void TAO_StreamEndPoint_A::disconnect_leaf | ( | AVStreams::StreamEndPoint_B_ptr | the_ep,
|  | const AVStreams::flowSpec &theSpec | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, AVStreams::streamOpFailed, AVStreams::noSuchFlow, AVStreams::notSupported)`[virtual]`

| Used to remove a multicast leaf.

virtual CORBA::Boolean TAO_StreamEndPoint_A::multiconnect | ( | AVStreams::streamQoS & | the_qos,
|  | AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)`[virtual]`

| Used for ATM-style multicast. Reimplemented from TAO_StreamEndPoint.

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp